/*
 * Copyright (c) 2011-2013, Peter Abeles. All Rights Reserved.
 *
 * This file is part of BoofCV (http://boofcv.org).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package boofcv.struct;


/**
 * @author Peter Abeles
 */
public class ImageRectangle {
	public int x0,y0,x1,y1;

	public ImageRectangle(int x0, int y0, int x1, int y1) {
		set(x0,y0,x1,y1);
	}

	public ImageRectangle( ImageRectangle orig ) {
		this.x0 = orig.x0;
		this.y0 = orig.y0;
		this.x1 = orig.x1;
		this.y1 = orig.y1;
	}

	public void set(int x0, int y0, int x1, int y1) {
		this.x0 = x0;
		this.y0 = y0;
		this.x1 = x1;
		this.y1 = y1;
	}

	public ImageRectangle() {
	}

   public int getWidth() {
      return x1-x0;
   }

   public int getHeight() {
      return y1-y0;
   }

	public int area() {
		return (y1-y0)*(x1-x0);
	}
}
